XenCenter6.5

Informatie

Creator Bericht
jouz

Information

This installer has been approved by the team.

Informatie

Platforms:
Downloads: 563
Wine: 1.8-rc1

Feedbacks

Omschrijving

English :

XenCenter allows you to manage your XenServer environment and deploy, manage, and monitor Virtual Machines from a Windows desktop.

 

French :

XenCenter vous premets de gerer votre infrastructure XenServer. Vous pouvez deploié, gérer et superviser vos machines virtuelles depuis votre bureau Windows.

Broncode

#!/bin/bash
# Date : (2017-03-17 08:00)
# Last revision : (2017-03-21 22:29)
# Wine version used : 1.8-rc1
# Distribution used to test : Linux Mint 18.1 x64
# Author : José Gonçalves
# Only For : http://www.playonlinux.com
 
## Begin Note ##
# Some errors occurs when the dotnet 3 and 3.5 press next to continue installation
## End Note ##
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="XenCenter.exe"
PREFIX="XenCenter"
FILENAME="XenCenter.exe"
EDITOR="The Xen Project XenSource, Inc."
DOC_URL="https://xenserver.org/download-older-versions-of-xenserver.html"
AUTHOR="José Gonçalves"
GAME_VMS="128"
 
# Starting the script
POL_GetSetupImages "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/xen_icon.png" "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 
 
# Starting debugging API
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$DOC_URL" "$AUTHOR" "$PREFIX"
 
# Setting Wine Version
WORKING_WINE_VERSION="1.8-rc1"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Choose a 32-Bit or 64-Bit architecture (64bit is currently not supported)
POL_SetupWindow_menu_list "$(eval_gettext 'Select architecture')" "$TITLE" "x86" "~" "x86"
ARCHITECTURE="$APP_ANSWER"
 
# Downloading wine if necessary and creating prefix
POL_System_SetArch "$ARCHITECTURE"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Installing additional components
POL_Call POL_install_dotnet45 
POL_Call POL_Install_ie8
POL_Call POL_Install_tahoma2

# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "LOCAL-DOWNLOAD"
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
 
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Seems to help with random crash issue
Set_OS "win7"

# Downloading client or choosing existing one
mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter"

if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter" || return
        POL_Download "http://downloadns.citrix.com.edgesuite.net/10341/XenServer-6.5.0-SP1-XenCenterSetup.exe"
        POL_Wine "XenServer-6.5.0-SP1-XenCenterSetup.exe"

     
elif [ "$INSTALL_METHOD" = "LOCAL" ]; then
        # Asking for client exe
        cd "$HOME" || return
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cp "$SETUP_EXE" "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
        POL_Wine "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
fi

# Making shortcut
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter" || return
POL_Shortcut "$FILENAME" "$TITLE"

POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Bericht
jouz Dinsdag 21 Maart 2017 om 23:43
jouz

Information

This update has been approved by the team.

Bericht

Hello,

New update :

  • After ShellCheck check i provided some modification.
  • Checked the script with PlayOnLinux utility script.
  • Application tested on MacOS X (Sierra). Works!

Differences

@@ -0,0 +1,90 @@
+#!/bin/bash
+# Date : (2017-03-17 08:00)
+# Last revision : (2017-03-21 22:29)
+# Wine version used : 1.8-rc1
+# Distribution used to test : Linux Mint 18.1 x64
+# Author : José Gonçalves
+# Only For : http://www.playonlinux.com
+ 
+## Begin Note ##
+# Some errors occurs when the dotnet 3 and 3.5 press next to continue installation
+## End Note ##
+ 
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+ 
+TITLE="XenCenter.exe"
+PREFIX="XenCenter"
+FILENAME="XenCenter.exe"
+EDITOR="The Xen Project XenSource, Inc."
+DOC_URL="https://xenserver.org/download-older-versions-of-xenserver.html"
+AUTHOR="José Gonçalves"
+GAME_VMS="128"
+ 
+# Starting the script
+POL_GetSetupImages "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/xen_icon.png" "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/left.jpg" "$TITLE"
+POL_SetupWindow_Init
+POL_SetupWindow_SetID 
+ 
+# Starting debugging API
+POL_Debug_Init
+ 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$DOC_URL" "$AUTHOR" "$PREFIX"
+ 
+# Setting Wine Version
+WORKING_WINE_VERSION="1.8-rc1"
+ 
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+ 
+# Choose a 32-Bit or 64-Bit architecture (64bit is currently not supported)
+POL_SetupWindow_menu_list "$(eval_gettext 'Select architecture')" "$TITLE" "x86" "~" "x86"
+ARCHITECTURE="$APP_ANSWER"
+ 
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "$ARCHITECTURE"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+
+# Installing additional components
+POL_Call POL_install_dotnet45 
+POL_Call POL_Install_ie8
+POL_Call POL_Install_tahoma2
+
+# Choose between Downloading client or using local one
+POL_SetupWindow_InstallMethod "LOCAL-DOWNLOAD"
+ 
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+ 
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+
+# Seems to help with random crash issue
+Set_OS "win7"
+
+# Downloading client or choosing existing one
+mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter"
+
+if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
+        # Donwloading client
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter" || return
+        POL_Download "http://downloadns.citrix.com.edgesuite.net/10341/XenServer-6.5.0-SP1-XenCenterSetup.exe"
+        POL_Wine "XenServer-6.5.0-SP1-XenCenterSetup.exe"
+
+     
+elif [ "$INSTALL_METHOD" = "LOCAL" ]; then
+        # Asking for client exe
+        cd "$HOME" || return
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cp "$SETUP_EXE" "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
+        POL_Wine "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
+fi
+
+# Making shortcut
+POL_Wine_WaitBefore "$TITLE"
+cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter" || return
+POL_Shortcut "$FILENAME" "$TITLE"
+
+POL_SetupWindow_Close
+exit 0

New source code

#!/bin/bash
# Date : (2017-03-17 08:00)
# Last revision : (2017-03-21 22:29)
# Wine version used : 1.8-rc1
# Distribution used to test : Linux Mint 18.1 x64
# Author : José Gonçalves
# Only For : http://www.playonlinux.com
 
## Begin Note ##
# Some errors occurs when the dotnet 3 and 3.5 press next to continue installation
## End Note ##
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="XenCenter.exe"
PREFIX="XenCenter"
FILENAME="XenCenter.exe"
EDITOR="The Xen Project XenSource, Inc."
DOC_URL="https://xenserver.org/download-older-versions-of-xenserver.html"
AUTHOR="José Gonçalves"
GAME_VMS="128"
 
# Starting the script
POL_GetSetupImages "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/xen_icon.png" "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 
 
# Starting debugging API
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$DOC_URL" "$AUTHOR" "$PREFIX"
 
# Setting Wine Version
WORKING_WINE_VERSION="1.8-rc1"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Choose a 32-Bit or 64-Bit architecture (64bit is currently not supported)
POL_SetupWindow_menu_list "$(eval_gettext 'Select architecture')" "$TITLE" "x86" "~" "x86"
ARCHITECTURE="$APP_ANSWER"
 
# Downloading wine if necessary and creating prefix
POL_System_SetArch "$ARCHITECTURE"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Installing additional components
POL_Call POL_install_dotnet45 
POL_Call POL_Install_ie8
POL_Call POL_Install_tahoma2

# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "LOCAL-DOWNLOAD"
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
 
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Seems to help with random crash issue
Set_OS "win7"

# Downloading client or choosing existing one
mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter"

if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter" || return
        POL_Download "http://downloadns.citrix.com.edgesuite.net/10341/XenServer-6.5.0-SP1-XenCenterSetup.exe"
        POL_Wine "XenServer-6.5.0-SP1-XenCenterSetup.exe"

     
elif [ "$INSTALL_METHOD" = "LOCAL" ]; then
        # Asking for client exe
        cd "$HOME" || return
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cp "$SETUP_EXE" "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
        POL_Wine "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
fi

# Making shortcut
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter" || return
POL_Shortcut "$FILENAME" "$TITLE"

POL_SetupWindow_Close
exit 0

Antwoorden

jouz Zondag 19 Maart 2017 om 21:32
jouz

Warning

This update has not been approved yet by the team.
Use it at your own risk

Bericht

My source code.

# Tested on :

  • Mint 18.1 (x64)
  • Ubuntu 16.04 Desktop (x64)

Github page : https://github.com/Tosta-Mixta/XenCenter-PlayOnLinux

Cheers,

Differences

@@ -0,0 +1,91 @@
+#!/bin/bash
+# Date : (2017-03-17 08:00)
+# Last revision : (2017-03-19 21:16)
+# Wine version used : 1.8-rc1
+# Distribution used to test : Linux Mint 18.1 x64
+# Author : José Gonçalves
+# Only For : http://www.playonlinux.com
+ 
+## Begin Note ##
+# Some errors occurs when the dotnet 3 and 3.5 press next to continue installation
+## End Note ##
+ 
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+ 
+TITLE="XenCenter6.5"
+PREFIX="XenCenter"
+FILENAME="XenServerSetup.exe"
+EDITOR="The Xen Project XenSource, Inc."
+DOC_URL="https://xenserver.org/download-older-versions-of-xenserver.html"
+AUTHOR="José Gonçalves"
+GAME_VMS="128"
+ 
+# Starting the script
+POL_GetSetupImages "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/xen_icon.png" "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/left.jpg" "$TITLE"
+POL_SetupWindow_Init
+POL_SetupWindow_SetID 
+ 
+# Starting debugging API
+POL_Debug_Init
+ 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$DOC_URL" "$AUTHOR" "$PREFIX"
+ 
+# Setting Wine Version
+WORKING_WINE_VERSION="1.8-rc1"
+ 
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+ 
+# Choose a 32-Bit or 64-Bit architecture (64bit is currently not supported)
+POL_SetupWindow_menu_list "$(eval_gettext 'Select architecture')" "$TITLE" "x86" "~" "x86"
+ARCHITECTURE="$APP_ANSWER"
+ 
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "$ARCHITECTURE"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+
+# Installing additional components
+POL_Call POL_install_dotnet45 
+POL_Call POL_Install_ie8
+POL_Call POL_Install_tahoma2
+
+# Choose between Downloading client or using local one
+POL_SetupWindow_InstallMethod "LOCAL-DOWNLOAD"
+ 
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+ 
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+
+# Seems to help with random crash issue
+Set_OS "win7"
+
+# Downloading client or choosing existing one
+mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter"
+
+if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
+        # Donwloading client
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter"
+        POL_Download "http://downloadns.citrix.com.edgesuite.net/10341/XenServer-6.5.0-SP1-XenCenterSetup.exe"
+        FILENAME="XenServer-6.5.0-SP1-XenCenterSetup.exe"
+        POL_Wine "XenServer-6.5.0-SP1-XenCenterSetup.exe"
+
+     
+elif [ "$INSTALL_METHOD" = "LOCAL" ]; then
+        # Asking for client exe
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cp "$SETUP_EXE" "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
+        POL_Wine "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
+fi
+
+# Making shortcut
+POL_Wine_WaitBefore "$TITLE"
+cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter"
+POL_Shortcut "XenCenter.exe" "$TITLE"
+
+POL_SetupWindow_Close
+exit 0

New source code

#!/bin/bash
# Date : (2017-03-17 08:00)
# Last revision : (2017-03-19 21:16)
# Wine version used : 1.8-rc1
# Distribution used to test : Linux Mint 18.1 x64
# Author : José Gonçalves
# Only For : http://www.playonlinux.com
 
## Begin Note ##
# Some errors occurs when the dotnet 3 and 3.5 press next to continue installation
## End Note ##
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="XenCenter6.5"
PREFIX="XenCenter"
FILENAME="XenServerSetup.exe"
EDITOR="The Xen Project XenSource, Inc."
DOC_URL="https://xenserver.org/download-older-versions-of-xenserver.html"
AUTHOR="José Gonçalves"
GAME_VMS="128"
 
# Starting the script
POL_GetSetupImages "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/xen_icon.png" "https://raw.githubusercontent.com/Tosta-Mixta/XenCenter-PlayOnLinux/master/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 
 
# Starting debugging API
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$DOC_URL" "$AUTHOR" "$PREFIX"
 
# Setting Wine Version
WORKING_WINE_VERSION="1.8-rc1"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Choose a 32-Bit or 64-Bit architecture (64bit is currently not supported)
POL_SetupWindow_menu_list "$(eval_gettext 'Select architecture')" "$TITLE" "x86" "~" "x86"
ARCHITECTURE="$APP_ANSWER"
 
# Downloading wine if necessary and creating prefix
POL_System_SetArch "$ARCHITECTURE"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Installing additional components
POL_Call POL_install_dotnet45 
POL_Call POL_Install_ie8
POL_Call POL_Install_tahoma2

# Choose between Downloading client or using local one
POL_SetupWindow_InstallMethod "LOCAL-DOWNLOAD"
 
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
 
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Seems to help with random crash issue
Set_OS "win7"

# Downloading client or choosing existing one
mkdir -p "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter"

if [ "$INSTALL_METHOD" = "DOWNLOAD" ]; then
        # Donwloading client
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter"
        POL_Download "http://downloadns.citrix.com.edgesuite.net/10341/XenServer-6.5.0-SP1-XenCenterSetup.exe"
        FILENAME="XenServer-6.5.0-SP1-XenCenterSetup.exe"
        POL_Wine "XenServer-6.5.0-SP1-XenCenterSetup.exe"

     
elif [ "$INSTALL_METHOD" = "LOCAL" ]; then
        # Asking for client exe
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cp "$SETUP_EXE" "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
        POL_Wine "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter/XenServer-6.5.0-SP1-XenCenterSetup.exe"
fi

# Making shortcut
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Citrix/XenCenter"
POL_Shortcut "XenCenter.exe" "$TITLE"

POL_SetupWindow_Close
exit 0

Antwoorden